import json
import sys

if len(sys.argv) > 1:
    if sys.argv[1] == "--apr":
        print "Loading April's version..."
        fv = open("ted_talks-25-Apr-2012.json")
        fu = open("ted_users-25-Apr-2012.json")
    elif sys.argv[1] == "--sep":
        print "Loading September's version..."
        fv = open("ted_talks-10-Sep-2012.json")
        fu = open("ted_users-10-Sep-2012.json")
else:
    print "USAGE: python stats.py --<month> (apr or sep)"
    exit(-1)

talks = json.loads(fv.read()) 
users = json.loads(fu.read()) 


num_talks = len(talks) 
num_speakers = 0
num_all_users = 0
num_active_users = len(users)
num_tags = 0
num_themes = 0
num_rel_vids = 0
num_transcripts = 0 
num_favorites = 0
num_comments = 0
all_users = []
speakers = []
tags = []
themes = []

def fix_comments(comments, num_comments):
	for com in comments:
		replies = com["replies"]
		num_comments = fix_comments(replies, num_comments) 
		num_comments += len(replies)
		cid = com["user_id"] 
		all_users.append(cid)
	return num_comments

for j in talks:
	print j["id"] 
	comments = j["comments"]
	num_comments = fix_comments(comments, num_comments)
	num_comments += len(comments)
	cur_j = j
	num_rel_vids += len(j["related_videos"])
	tags += j["related_tags"]
	themes += j["related_themes"]
	if j["transcript"] != "":
		num_transcripts += 1
	speakers.append(j["speaker"])

for u in users:
   cid = u["user_id"] 		
   print cid 
   all_users.append(cid)
   num_favorites += len(u["favorites"])

all_users = list(set(all_users))  
speakers = list(set(speakers))  
tags = list(set(tags))  
themes = list(set(themes))  
num_all_users = len(all_users)
num_speakers = len(speakers)
num_tags = len(tags)
num_themes = len(themes)

print "--"
print "Talks: %d" % num_talks
print "Speakers: %d" % num_speakers
print "Users: %d" % num_all_users
print "Active Users: %d" % num_active_users
print "Tags: %d" % num_tags
print "Themes: %d" % num_themes
print "Transcripts: %d" % num_transcripts
print "Related Videos: %d" % num_rel_vids   
print "Favorites: %d" % num_favorites
print "Comments: %d" % num_comments
print "--"




